Skip to main content
GET
/
fleet
/
reports
/
drivers
/
fuel-energy
Get fuel and energy efficiency driver reports.
curl --request GET \
  --url https://api.samsara.com/fleet/reports/drivers/fuel-energy \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "driverReports": [
      {
        "distanceTraveledMeters": 1384000,
        "driver": {
          "id": "45646",
          "externalIds": {},
          "name": "Driver Bob"
        },
        "efficiencyMpge": 21.4,
        "estFuelEnergyCost": {
          "amount": 94.01,
          "currencyCode": "USD"
        },
        "energyUsedKwh": 73.2,
        "engineIdleTimeDurationMs": 4320000,
        "engineRunTimeDurationMs": 576000,
        "estCarbonEmissionsKg": 22.7,
        "fuelConsumedMl": 162773
      }
    ]
  },
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startDate
string
required

A start date in RFC 3339 format. This parameter ignores everything (i.e. hour, minutes, seconds, nanoseconds, etc.) besides the date and timezone. If no time zone is passed in, then the UTC time zone will be used. This parameter is inclusive, so data on the date specified will be considered. Note that the most recent 72 hours of data may still be processing and is subject to change and latency, so it is not recommended to request data for the most recent 72 hours. For example, 2022-07-13T14:20:50.52-07:00 is a time in Pacific Daylight Time.

endDate
string
required

An end date in RFC 3339 format. This parameter ignores everything (i.e. hour, minutes, seconds, nanoseconds, etc.) besides the date and timezone. If no time zone is passed in, then the UTC time zone will be used. This parameter is inclusive, so data on the date specified will be considered. Note that the most recent 72 hours of data may still be processing and is subject to change and latency, so it is not recommended to request data for the most recent 72 hours. For example, 2022-07-13T14:20:50.52-07:00 is a time in Pacific Daylight Time.

driverIds
string[]

A filter on the data based on this comma-separated list of driver IDs and externalIds. Example: driverIds=1234,5678,payroll:4841

tagIds
string

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

parentTagIds
string

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object
required

Dictionary containing summarized driver report data.

pagination
object
required

Pagination parameters.